Debian Bug report logs - #597937
consolekit: ck-launch-session doesn't set an active/local session anymore (when run as unprivileged user)

version graph

Package: consolekit; Maintainer for consolekit is Robert Millan <rmh@debian.org>; Source for consolekit is src:consolekit.

Reported by: James Robertson <j@mesrobertson.com>

Date: Fri, 24 Sep 2010 11:33:04 UTC

Severity: important

Tags: moreinfo

Merged with 598150, 601003, 612392, 613415, 639296, 665973

Found in versions consolekit/0.4.2-1, consolekit/0.4.3-1, consolekit/0.4.4-1, consolekit/0.4.5-3, consolekit/0.4.3-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Fri, 24 Sep 2010 11:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Robertson <j@mesrobertson.com>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 24 Sep 2010 11:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Robertson <j@mesrobertson.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: consolekit: Power Management: Error org.freedesktop.ConsoleKit.Manager.NotPrivileged: Not Authorized
Date: Fri, 24 Sep 2010 21:30:21 +1000
Package: consolekit
Version: 0.4.2-1
Severity: important


I am using the following options in Openbox via a menu to control various options such as Reboot and Poweroff.

dbus-send --system --print-reply --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Stop
dbus-send --system --print-reply --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Restart

In .xinitrc I have the following:

exec ck-launch-session dbus-launch openbox-session

After a dist-upgrade I was no longer able to reboot or poweroff my PC and received the following error if I tried running the commands from the command line.

Error org.freedesktop.ConsoleKit.Manager.NotPrivileged: Not Authorized

I downgraded consolekit from consolekit_0.4.2-1_i386.deb to consolekit_0.4.1-4_i386.deb and this resolved the problem.

Thanks

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages consolekit depends on:
ii  dbus                    1.2.24-3         simple interprocess messaging syst
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libck-connector0        0.4.2-1          ConsoleKit libraries
ii  libdbus-1-3             1.2.24-3         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.88-2           simple interprocess messaging syst
ii  libglib2.0-0            2.24.2-1         The GLib library of C routines
ii  libpolkit-gobject-1-0   0.96-3           PolicyKit Authorization API
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages consolekit recommends:
pn  libpam-ck-connector           <none>     (no description available)

consolekit suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sun, 26 Sep 2010 21:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 26 Sep 2010 21:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 597937@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: James Robertson <j@mesrobertson.com>, 597937@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#597937: consolekit: Power Management: Error org.freedesktop.ConsoleKit.Manager.NotPrivileged: Not Authorized
Date: Sun, 26 Sep 2010 23:02:56 +0200
[Message part 1 (text/plain, inline)]
On 24.09.2010 13:30, James Robertson wrote:
> In .xinitrc I have the following:
> 
> exec ck-launch-session dbus-launch openbox-session
> 
> After a dist-upgrade I was no longer able to reboot or poweroff my PC and received the following error if I tried running the commands from the command line.
> 
> Error org.freedesktop.ConsoleKit.Manager.NotPrivileged: Not Authorized
> 

This most likely means, that your session is no longer marked as active.

Please send me the output of ck-list-sessions, when that happens.
Is the problem reproducible? Does it happen a 100% or rarely/randomly?
Is it maybe related to suspend/resume?

Could you please (as root), run console-kit-daemon in debug mode and send me the
log:

$ killall console-kit-daemon
$ console-kit-daemon --debug --no-daemon

Thanks,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 597937 598150. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 27 Sep 2010 01:00:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 27 Sep 2010 01:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'consolekit: ck-launch-session doesn't set an active/local session anymore (when run as unprivileged user)' from 'consolekit: Power Management: Error org.freedesktop.ConsoleKit.Manager.NotPrivileged: Not Authorized' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 27 Sep 2010 01:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Tue, 28 Sep 2010 12:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Robertson <j@mesrobertson.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 28 Sep 2010 12:24:07 GMT) Full text and rfc822 format available.

Message #21 received at 597937@bugs.debian.org (full text, mbox):

From: James Robertson <j@mesrobertson.com>
To: 597937@bugs.debian.org
Subject: RE: Bug#597937
Date: Tue, 28 Sep 2010 22:20:57 +1000
[Message part 1 (text/plain, inline)]
Hi Michael,

The problem occurs 100% of the time and was reproducible on my desktop
workstation which admittedly is configured the same as my Laptop.

Suspend/Resume exhibit the same behavior and I have also noticed that I
cannot mount my External USB disk using Nautilus anymore and receive a "Not
Authorized" error.

Here is the requested output.  I only tried "restart" to provide some output
but can provide further examples if required.

$ ck-list-sessions
Session1:
unix-user = '1000'
realname = 'James Robertson'
seat = 'Seat1'
session-type = ''
active = FALSE
x11-display = ''
x11-display-device = ''
display-device = '/dev/tty1'
remote-host-name = ''
is-local = TRUE
on-since = '2010-09-28T12:06:10.663498Z'
login-session-id = ''
idle-since-hint = '2010-09-28T12:06:41.005566Z'
Session3:
unix-user = '0'
realname = 'root'
seat = 'Seat1'
session-type = ''
active = FALSE
x11-display = ''
x11-display-device = ''
display-device = '/dev/pts/0'
remote-host-name = ''
is-local = TRUE
on-since = '2010-09-28T12:06:59.730533Z'
login-session-id = ''
Session2:
unix-user = '1000'
realname = 'James Robertson'
seat = 'Seat2'
session-type = ''
active = FALSE
x11-display = ':0'
x11-display-device = '/dev/tty7'
display-device = '/dev/tty1'
remote-host-name = ''
is-local = FALSE
on-since = '2010-09-28T12:06:14.922148Z'
login-session-id = ''

$console-kit-daemon --debug --no-daemon
conole-kit-daemon[2015]: DEBUG: Debugging enabled
console-kit-daemon[2015]: DEBUG: initializing console-kit-daemon 0.4.2
console-kit-daemon[2015]: DEBUG: Creating thread for log writing
console-kit-daemon[2015]: DEBUG: Creating seat
/org/freedesktop/ConsoleKit/Seat1 with 0 devices
console-kit-daemon[2015]: DEBUG: Current VT: tty7
console-kit-daemon[2015]: DEBUG: VT 1:on
console-kit-daemon[2015]: DEBUG: VT 2:on
console-kit-daemon[2015]: DEBUG: VT 3:on
console-kit-daemon[2015]: DEBUG: VT 4:on
console-kit-daemon[2015]: DEBUG: VT 5:on
console-kit-daemon[2015]: DEBUG: VT 6:on
console-kit-daemon[2015]: DEBUG: VT 7:on
console-kit-daemon[2015]: DEBUG: VT 8:off
console-kit-daemon[2015]: DEBUG: VT 9:off
console-kit-daemon[2015]: DEBUG: VT 10:off
console-kit-daemon[2015]: DEBUG: VT 11:off
console-kit-daemon[2015]: DEBUG: VT 12:off
console-kit-daemon[2015]: DEBUG: VT 13:off
console-kit-daemon[2015]: DEBUG: VT 14:off
console-kit-daemon[2015]: DEBUG: VT 15:off
console-kit-daemon[2015]: DEBUG: VT 16:off
console-kit-daemon[2015]: DEBUG: VT_WAITEVENT supported on this system
console-kit-daemon[2015]: DEBUG: Creating thread for vt 1
console-kit-daemon[2015]: DEBUG: Added seat:
/org/freedesktop/ConsoleKit/Seat1
console-kit-daemon[2015]: DEBUG: Running programs in
/etc/ConsoleKit/run-seat.d for action seat_added
console-kit-daemon[2015]: DEBUG: Running programs in
/usr/lib/ConsoleKit/run-seat.d for action seat_added
console-kit-daemon[2015]: DEBUG: Allocated ChildData 0x8393a18
console-kit-daemon[2015]: DEBUG: Waiting for child with pid 2018
missing action

console-kit-daemon[2015]: DEBUG: In _child_watch for pid 2018
console-kit-daemon[2015]: DEBUG: Done waiting for child with pid 2018
console-kit-daemon[2015]: DEBUG: Freeing ChildData 0x8393a18
console-kit-daemon[2015]: DEBUG: Emitting seat-added:
/org/freedesktop/ConsoleKit/Seat1
console-kit-daemon[2015]: DEBUG: Writing log for event: 1285675668.338
type=SEAT_ADDED : seat-id='Seat1' seat-kind=0
console-kit-daemon[2015]: DEBUG: Cleaning up /var/run/console
console-kit-daemon[2015]: DEBUG: Removing tag file: /var/run/console/james
console-kit-daemon[2015]: DEBUG: Removing tag file: /var/run/console/root
console-kit-daemon[2015]: DEBUG: NameOwnerChanged:
service_name='org.freedesktop.ConsoleKit', old_service_name=''
new_service_name=':1.10'
console-kit-daemon[2015]: DEBUG: NameOwnerChanged: service_name=':1.12',
old_service_name='' new_service_name=':1.12'
console-kit-daemon[2015]: DEBUG: found 0 unique users
console-kit-daemon[2015]: DEBUG: ConsoleKit Restart:
org.freedesktop.consolekit.system.restart
console-kit-daemon[2015]: DEBUG: constructing polkit data
console-kit-daemon[2015]: DEBUG: checking if caller :1.12 is authorized
console-kit-daemon[2015]: DEBUG: CkManager: get session for unix process:
2020
console-kit-daemon[2015]: DEBUG: uid = 0
console-kit-daemon[2015]: DEBUG: pid = 1813
console-kit-daemon[2015]: DEBUG: CkManager: get session for cookie
console-kit-daemon[2015]: DEBUG: uid = 0
console-kit-daemon[2015]: DEBUG: pid = 1813
console-kit-daemon[2015]: DEBUG: CkManager: Unable to lookup cookie for
caller - failing
console-kit-daemon[2015]: DEBUG: Removing sessions for service name: :1.12
console-kit-daemon[2015]: DEBUG: NameOwnerChanged: service_name=':1.12',
old_service_name=':1.12' new_service_name=''
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Wed, 13 Oct 2010 03:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 13 Oct 2010 03:03:07 GMT) Full text and rfc822 format available.

Message #26 received at 597937@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: 597937@bugs.debian.org
Date: Wed, 13 Oct 2010 00:01:29 -0300
Hi,

I can also reproduce the problem on amd64. In my situation,
ck-launch-session is being run by xdm (Xsession.d). The session set up
this way has "active" and "local" set to false, exactly as described
in this bug report. This, in turn, causes PolicyKit to deny requests
to mount devices through udisks, for example.

After downgrading to 0.4.1-4, the problem seems to be gone:

fernando@vostro:~$ ck-list-sessions
Session1:
        unix-user = '1000'
        realname = 'Fernando Tarlá Cardoso Lemos'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty7'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2010-10-13T02:47:21.094500Z'
        login-session-id = '4294967295'
fernando@vostro:~$

Thanks in advance,




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Fri, 22 Oct 2010 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@luffy.cx>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 22 Oct 2010 12:36:03 GMT) Full text and rfc822 format available.

Message #31 received at 597937@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: <601003@bugs.debian.org>, <control@bugs.debian.org>, <597937@bugs.debian.org>
Subject: Re: slim does not set at_console permission
Date: Fri, 22 Oct 2010 14:32:46 +0200
reassign 601003 consolekit
forcemerge 597937 601003
thanks

On Fri, 22 Oct 2010 14:16:28 +0200, Vincent Bernat <bernat@debian.org>
wrote:

> After using slim as login manager, I am not considered as a local user
> anymore. ck-list-sessions tells me:
>  is-local = FALSE
> 
> Therefore, there is many things handled by policykit or dbus that I am
> not allowed to do. Maybe this is related to #476248. I am not familiar
> enough with this to tell.

Since consolekit stuff is also handled by Xsession, it seems the problem
lies in consolekit himself. I merge this bug with #597397.

> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
> Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages slim depends on:
> ii  debconf [debconf-2.0]         1.5.36     Debian configuration
> management sy
> ii  libc6                         2.11.2-6   Embedded GNU C Library:
> Shared lib
> ii  libgcc1                       1:4.4.5-5  GCC support library
> ii  libjpeg62                     6b1-1      The Independent JPEG
Group's
> JPEG 
> ii  libpam0g                      1.1.1-6.1  Pluggable Authentication
> Modules l
> ii  libpng12-0                    1.2.44-1   PNG library - runtime
> ii  libstdc++6                    4.4.5-5    The GNU Standard C++
Library
> v3
> ii  libx11-6                      2:1.3.3-3  X11 client-side library
> ii  libxft2                       2.1.14-2   FreeType-based font drawing
> librar
> ii  libxmu6                       2:1.0.5-2  X11 miscellaneous utility
> library
> 
> Versions of packages slim recommends:
> ii  xterm                         264-1      X terminal emulator
> 
> Versions of packages slim suggests:
> pn  scrot                         <none>     (no description available)
> 
> -- debconf information:
> * shared/default-x-display-manager: slim




Forcibly Merged 597937 598150 601003. Request was from Vincent Bernat <bernat@luffy.cx> to control@bugs.debian.org. (Fri, 22 Oct 2010 12:36:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions consolekit/0.4.3-1. Request was from Fernando Lemos <fernandotcl@gmail.com> to control@bugs.debian.org. (Sat, 20 Nov 2010 19:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Tue, 30 Nov 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@luffy.cx>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 30 Nov 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 597937@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: <601003@bugs.debian.org>, <597937@bugs.debian.org>, 598150@bugs.debian.org
Subject: Who should initialize consolekit?
Date: Tue, 30 Nov 2010 19:08:47 +0100
Hello,

This  bug  is  rather  annoying  for  me since  many  things  depend  on
consolekit to tell if the user is allowed to do certain actions.

It seems that GDM interacts  itself with consolekit and therefore is not
affected by this bug. Should each DM handle consolekit by itself? Should
each DM  use pam_ck_connector.so module  in its PAM configuration  if it
does not handle consolekit directly?

Maybe  an easy  fix for  those bugs  is to  ask DM  maintainer to  add a
session optional pam_ck_connector.so?
-- 
 /*
  * For moronic filesystems that do not allow holes in file.
  * We may have to extend the file.
  */
	2.4.0-test2 /usr/src/linux/fs/buffer.c




Bug Marked as found in versions consolekit/0.4.3-2. Request was from Fernando Lemos <fernandotcl@gmail.com> to control@bugs.debian.org. (Mon, 06 Dec 2010 23:12:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Fernando Lemos <fernandotcl@gmail.com> to control@bugs.debian.org. (Mon, 06 Dec 2010 23:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sun, 20 Feb 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 20 Feb 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #49 received at 597937@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: 597937@bugs.debian.org, 598150@bugs.debian.org, 601003@bugs.debian.org
Date: Sun, 20 Feb 2011 11:32:58 -0300
It looks like this is the way upstream ConsoleKit wants it. In order
to get an active local session, you must open a session informing
stuff like the UID and TTY. ck-launch-session doesn't do that and I
find it unlikely that it'll ever do that because, to the best of my
knowledge, the way XDM and friends run ck-launch-session, there's no
way to gather the required information. In other words, even if
ck-launch-session were modified to allow it to launch an active local
session, it would still require patching the DMs.

So the solution seems to be patching the DMs. It looks like Mandriva
and OpenSUSE already patch XDM:

https://bugs.freedesktop.org/show_bug.cgi?id=17325

It also looks like upstream doesn't care much about this patch, which
is understandable given that ConsoleKit is a relatively new technology
and some important things that depend on it seem specific to Linux. I
applied the patches to the Debian package, but ran out of time trying
to make the package link because of the new DSO linking rules. I
intend to complete it in a few weeks when I get some spare time.

So, in short, I believe this won't be fixed in ConsoleKit and we can
post bug reports (priority wishlist) against the DMs.

Regards,




Forcibly Merged 597937 598150 601003 612392 613415. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 15 Mar 2011 12:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Thu, 24 Mar 2011 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orlando Bedoya Marin <bedorlan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 24 Mar 2011 01:21:03 GMT) Full text and rfc822 format available.

Message #56 received at 597937@bugs.debian.org (full text, mbox):

From: Orlando Bedoya Marin <bedorlan@gmail.com>
To: 597937@bugs.debian.org
Date: Wed, 23 Mar 2011 20:16:27 -0500
too in 0.4.4-1 debian testing full upgrade (23-mar-2011)

i use consolekit for allow plug usb devices in xfce4.
i have a xinitrc with the next line:
exec ck-launch-session startxfce4

there is another way to do this?
tx




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Tue, 12 Apr 2011 11:51:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Robertson <j@mesrobertson.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 12 Apr 2011 11:51:44 GMT) Full text and rfc822 format available.

Message #61 received at 597937@bugs.debian.org (full text, mbox):

From: James Robertson <j@mesrobertson.com>
To: 597937@bugs.debian.org
Subject: Is now working...
Date: Tue, 12 Apr 2011 21:47:11 +1000
[Message part 1 (text/plain, inline)]
I recently did an AMD64 install of Debian Sid and use the same .xinitrc with
openbox and everything is working!
I should stress that I am using the following packages from aptosid
currently to resolve some issues with udev,
I have no idea if these have any effect on why things are now working?

I have not tested i386.  Please let me know if you need anything more
specific or perhaps it has been resolved?

ii  libgudev-1.0-0                      167-1+c0.aptosid.1
GObject-based wrapper library for libudev
ii  libudev0                            167-1+c0.aptosid.1
libudev shared library
ii  udev                                167-1+c0.aptosid.1             /dev/
and hotplug management daemon

> apt-cache policy consolekit
consolekit:
  Installed: 0.4.4-1
  Candidate: 0.4.4-1
  Version table:
 *** 0.4.4-1 0
        500 http://mirror.internode.on.net/pub/debian/ unstable/main amd64
Packages
        500 http://ftp.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
> ck-list-sessions
Session1:
 unix-user = '1000'
realname = 'James Robertson'
seat = 'Seat1'
 session-type = ''
active = FALSE
x11-display = ''
 x11-display-device = ''
display-device = '/dev/tty1'
remote-host-name = ''
 is-local = TRUE
on-since = '2011-04-12T09:27:32.867288Z'
login-session-id = '4294967295'
 idle-since-hint = '2011-04-12T09:28:03.520208Z'
Session2:
unix-user = '1000'
 realname = 'James Robertson'
seat = 'Seat1'
session-type = ''
 active = TRUE
x11-display = ':0'
x11-display-device = '/dev/tty7'
 display-device = '/dev/tty1'
remote-host-name = ''
is-local = TRUE
 on-since = '2011-04-12T09:27:36.224396Z'
login-session-id = '4294967295'
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Tue, 12 Apr 2011 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Robertson <j@mesrobertson.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 12 Apr 2011 12:09:09 GMT) Full text and rfc822 format available.

Message #66 received at 597937@bugs.debian.org (full text, mbox):

From: James Robertson <j@mesrobertson.com>
To: 597937@bugs.debian.org
Subject: Re: Bug#597937: Is now working...
Date: Tue, 12 Apr 2011 22:06:07 +1000
[Message part 1 (text/plain, inline)]
OK I have figured out what is different and can reproduce this bug.  When I
first submitted this bug report I did not have the recommended package
libpam-ck-connector installed however the problem did not exist in
consolekit version 0.4.1-4 without this package installed.

When I did this most recent install I installed libpam-ck-connector.

I removed libpam-ck-connector just now and rebooted and the problem
returned.

It begs the question at what version did this start working again if
libpam-ck-connector was the solution.  Perhaps libpam-ck-connector should be
a depends?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sat, 14 May 2011 19:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marek Straka <marek@straka.info>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 14 May 2011 19:09:04 GMT) Full text and rfc822 format available.

Message #71 received at 597937@bugs.debian.org (full text, mbox):

From: Marek Straka <marek@straka.info>
To: 597937@bugs.debian.org
Subject: [consolekit]
Date: Sat, 14 May 2011 20:50:06 +0200
[Message part 1 (text/plain, inline)]
Package: consolekit
Version: 0.4.4-1

--- Please enter the report below this line. ---

I had similar problem. My session was after update not active. I am using XFCE Desktop an starting Xsession with "start" with no .xsession or .xinitrc file.
I have found solution. In /etc/pam.d/common-session must be
"session optional        pam_loginuid.so"
before
"session optional        pam_ck_connector.so nox11"

Update of libpam-runtime removed
"pam_loginuid.so" from this config file. It was said "(upon system wide settings)" After it was put back, session is "active" again.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sun, 26 Jun 2011 11:21:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Dickopp <martin@zero-based.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 26 Jun 2011 11:21:54 GMT) Full text and rfc822 format available.

Message #76 received at 597937@bugs.debian.org (full text, mbox):

From: Martin Dickopp <martin@zero-based.org>
To: 597937@bugs.debian.org
Subject: consolekit
Date: Sun, 26 Jun 2011 13:21:04 +0200
Hi,

I use xfce4 4.8.0.2, xdm 1:1.1.10-3, and consolekit 0.4.5-1. What I
observe is that the session is local, but not active:

Session2:
	unix-user = '1000'
	realname = 'Martin Dickopp'
	seat = 'Seat2'
	session-type = ''
	active = FALSE
	x11-display = ':0'
	x11-display-device = ''
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2011-06-26T10:56:05.101604Z'
	login-session-id = '2'

My /etc/pam.d/xdm file:

auth		requisite	pam_nologin.so
auth		required	pam_group.so
auth		required	pam_env.so
auth		required	pam_env.so envfile=/etc/default/locale
session		required	pam_limits.so
session		optional	pam_mail.so dir=~/Maildir nopen
session		optional	pam_loginuid.so
session		optional	pam_ck_connector.so
@include common-auth
@include common-account
@include common-session
@include common-password
auth		optional	pam_gnome_keyring.so
session		optional	pam_gnome_keyring.so auto_start

The issue seems to be related to the fact that x11-display-device is
empty. If I force pam_ck_connector to set it by setting the environment
variable CKCON_X11_DISPLAY_DEVICE=/dev/tty7 manually, all is well:

Session3:
	unix-user = '1000'
	realname = 'Martin Dickopp'
	seat = 'Seat1'
	session-type = ''
	active = TRUE
	x11-display = ':0'
	x11-display-device = '/dev/tty7'
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2011-06-26T11:17:36.448291Z'
	login-session-id = '3'

This setup (without the pam_loginuid.so line and without having to set
CKCON_X11_DISPLAY_DEVICE) used to work fine with the squeeze versions of
xfce4, xdm, and consolekit. Sorry, I don't remember which package update
broke it.

Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sat, 02 Jul 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 02 Jul 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #81 received at 597937@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 597937@bugs.debian.org
Subject: Upstream patch available
Date: Sun, 3 Jul 2011 00:00:05 +0200
Hi!

Upstream has a bug report on this issue (well, plenty):

   https://bugzilla.redhat.com/show_bug.cgi?id=657979

There's a patch attached. I haven't checked it, yet, but maybe it's
something we want, too.


HTH

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Forcibly Merged 597937 598150 601003 612392 613415 639296. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 25 Aug 2011 22:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Wed, 07 Sep 2011 13:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 07 Sep 2011 13:09:21 GMT) Full text and rfc822 format available.

Message #88 received at 597937@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 597937@bugs.debian.org, adi@drcomp.erfurt.thur.de, martin@zero-based.org, j@mesrobertson.com, biebl@debian.org, fernandotcl@gmail.com, bernat@luffy.cx, bedorlan@gmail.com, marek@straka.info
Subject: status consolekit+xdm(or slim)
Date: Wed, 7 Sep 2011 09:06:22 -0400
Is there any progress on this bug?

I report the same problem using slim as a greeter. With gdm gone from
testing, xfce and lxde need lightweight alternatives to gdm3 and kdm.
These are slim and xdm, but they are currently broken. This bug should
be marked as grave, IMHO




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Wed, 07 Sep 2011 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marek Straka <marek@straka.info>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 07 Sep 2011 16:42:03 GMT) Full text and rfc822 format available.

Message #93 received at 597937@bugs.debian.org (full text, mbox):

From: Marek Straka <marek@straka.info>
To: 597937@bugs.debian.org
Cc: Andres Cimmarusti <acimmarusti@gmail.com>
Subject: Re: status consolekit+xdm(or slim)
Date: Wed, 7 Sep 2011 18:39:46 +0200
[Message part 1 (text/plain, inline)]
There is Lightdm X starter
http://packages.debian.org/wheezy/lightdm

> Is there any progress on this bug?
> 
> I report the same problem using slim as a greeter. With gdm gone from
> testing, xfce and lxde need lightweight alternatives to gdm3 and kdm.
> These are slim and xdm, but they are currently broken. This bug should
> be marked as grave, IMHO
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sun, 23 Oct 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bruno binet <bruno.binet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 23 Oct 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #98 received at 597937@bugs.debian.org (full text, mbox):

From: bruno binet <bruno.binet@gmail.com>
To: 597937@bugs.debian.org
Subject: same issue here
Date: Sun, 23 Oct 2011 18:59:23 +0200
Any news on this bug?
I still face this bug in debian wheezy using the slim window manager.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sun, 23 Oct 2011 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to bruno binet <bruno.binet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 23 Oct 2011 20:03:09 GMT) Full text and rfc822 format available.

Message #103 received at 597937@bugs.debian.org (full text, mbox):

From: bruno binet <bruno.binet@gmail.com>
To: 597937@bugs.debian.org
Subject: Re: same issue here
Date: Sun, 23 Oct 2011 21:58:52 +0200
Sorry, I meant the slim "display manager".

For the record, I finally managed to get it work following this post:
http://lists.freebsd.org/pipermail/freebsd-ports/2011-March/066726.html

Hope it helps.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Fri, 28 Oct 2011 07:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 28 Oct 2011 07:39:13 GMT) Full text and rfc822 format available.

Message #108 received at 597937@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: 597937@bugs.debian.org
Subject: Patch works
Date: Fri, 28 Oct 2011 10:48:17 +0300
I can confirm that the consolekit patch fixes both the power and the 
network-manager issues on my system.
-- 
Best regards,
    Panayiotis Karabassis




Removed tag(s) patch. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 19:15:05 GMT) Full text and rfc822 format available.

Added indication that 597937 affects network-manager Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 27 Mar 2012 14:57:11 GMT) Full text and rfc822 format available.

Marked as found in versions consolekit/0.4.5-3. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 27 Mar 2012 15:12:12 GMT) Full text and rfc822 format available.

Merged 597937 598150 601003 612392 613415 639296 665973 Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 27 Mar 2012 15:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Fri, 29 Jun 2012 09:18:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emanuele Aina <emanuele.aina@collabora.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 29 Jun 2012 09:18:34 GMT) Full text and rfc822 format available.

Message #121 received at 597937@bugs.debian.org (full text, mbox):

From: Emanuele Aina <emanuele.aina@collabora.com>
To: 597937@bugs.debian.org
Subject: Enabling audit with pam_loginuid.so in nodm fixes the issue
Date: Fri, 29 Jun 2012 11:17:47 +0200
I've encountered the same issue with nodm and I found that adding
pam_loginuid.so and pam_ck_connector.so with x11 support enabled
in /etc/pam.d/nodm fixed it.

The two PAM modules need to be stacked right before including
common-session, otherwise the pam_ck_connector.so with the "nox11" flag
will take precedence:

----------8<----------
@include common-account
@include common-password

session optional pam_loginuid.so
session optional pam_ck_connector.so

@include common-session
----------8<----------

Something like this may also work on other DMs without explicit
ConsoleKit support.

-- 
Emanuele





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Fri, 29 Jun 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 29 Jun 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #126 received at 597937@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Emanuele Aina <emanuele.aina@collabora.com>, 597937@bugs.debian.org
Subject: Re: Bug#597937: Enabling audit with pam_loginuid.so in nodm fixes the issue
Date: Fri, 29 Jun 2012 14:42:28 +0000
On Fri, Jun 29, 2012 at 11:17:47AM +0200, Emanuele Aina wrote:
> Something like this may also work on other DMs without explicit
> ConsoleKit support.

Any idea what people using startx should do?




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#597937; Package consolekit. (Sat, 30 Jun 2012 09:48:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir K <pzs-fs@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 30 Jun 2012 09:48:40 GMT) Full text and rfc822 format available.

Message #131 received at 597937@bugs.debian.org (full text, mbox):

From: Vladimir K <pzs-fs@yandex.ru>
To: 597937@bugs.debian.org
Subject: Temporary fix
Date: Sat, 30 Jun 2012 13:44:04 +0400
See the same bug on launchpad: https://bugs.launchpad.net/ubuntu/+source/consolekit/+bug/483130
Temporary upgrade-friendly fix is in comment 16.
It fixes launching session with startx, and does not break session launched with Lightdm. 
Although, I remember some time ago it broke sessions launched with GDM. I do not know if it is true now, haven't used GDM for a long time.




Added indication that 597937 affects xdm Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 04 Jan 2013 12:57:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:12:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.